Subject: Re: bug#13869: 24.2; Theme slows emacs down

From: Stefan Kangas <[email-masked]>
Date: Fri, 21 Aug 2020 07:06:15 -0700

tags 13869 + wontfix
close 13869
thanks

Eli Zaretskii <[email-masked]> writes:

>> Date: Mon, 04 Mar 2013 19:15:36 +0000
>> From: Silviu Vlad Oprea <[email-masked]>
>>
>> On 04/03/13 18:54, Eli Zaretskii wrote:
>> >> Date: Mon, 04 Mar 2013 18:40:53 +0000
>> >> From: Silviu Vlad Oprea <[email-masked]>
>> >>
>> >> Turns out it's because linum-mode. Once I enable it (M-x linum-mode
>> >> RET), it lags every 2 seconds when scrolling, and it's very frustrating.
>> >> The same happens with tabbar-mode (separately; If I enable both
>> >> linum-mode and tabbar-mode, it's even worse).
>> > With linum-mode, I see a 3-fold increase in CPU usage, but Emacs can
>> > still keep up.  What CPU do you have there?
>> Now fancy at all. Celeron(R) Dual-Core CPU T3000  @ 1.80GHz.
>
> Could be why you see the problem, while I don't.
>
>> > linum-mode kills many potential redisplay optimizations, so it's a
>> > small wonder it makes the display engine work harder.
>> Any idea how I could get the same effect (line numbers) w/o the lag? Is
>> there a better mode?
>
> Maybe try nlinum.el from ELPA.

(No further updates within 7 years.)

The solution here is to use nlinum.el or even better the more recent
display-line-numbers-mode.

I'm therefore closing this bug report.  If anyone disagrees, feel free
to reopen.

Best regards,
Stefan Kangas